# Copyright 2015-2018, Medeek Engineering Inc.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is prohibited.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# Credits:  Facer, Sdmitch, TIG, Juju and all those who have provided feedback and suggestions which have allowed me to make this plugin better.

#-----------------------------------------------------------------------------
# Name        :   Medeek Truss Plugin
# Description :   A script that loads the Medeek Truss Plugin as an extension to SketchUp
# Author      :   Nathaniel P. Wilkerson (nathan@medeek.com)
#                 
# Menu Item   :   Medeek Truss
# Context Menu:   N/A
# Usage       :   Architects, Engineers, Designers, DIYers, Homeowners, Inspectors
# Date        :   Mar. 6, 2018
# Type        :   Permanent License - Please visit http://design.medeek.com for upgrades and support
#-----------------------------------------------------------------------------


module Medeek_Engineering_Inc_Extensions
	module MedeekTrussPluginLoader

		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'


		medeektruss_Extension = SketchupExtension.new("Medeek Truss", (File.join(File.dirname(__FILE__),"medeek_truss_ext","medeek_load.rbs")))

		medeektruss_Extension.description=("Generate accurate 3D truss, roof and floor geometry with engineering.")
		medeektruss_Extension.version = "2.1.7  (03.06.2018)"
		medeektruss_Extension.creator = "Nathaniel P. Wilkerson - Medeek Engineering Inc."
		medeektruss_Extension.copyright = "2015-2018, Medeek Engineering Inc."


		# Register the extension with Sketchup.
		Sketchup.register_extension medeektruss_Extension, true



	end # module MedeekTrussPluginLoader
end # module Medeek_Engineering_Inc_Extensions